Index: CKEditor/trunk/_source/lang/cy.js
===================================================================
--- CKEditor/trunk/_source/lang/cy.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/cy.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Golygydd testun cyfoethog, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'Ffurflen',
 		checkbox		: 'Blwch ticio',
-		radio		: 'Botwm Radio',
+		radio			: 'Botwm Radio',
 		textField		: 'Maes Testun',
 		textarea		: 'Ardal Testun',
 		hiddenField		: 'Maes Cudd',
 		button			: 'Botwm',
-		select	: 'Maes Dewis',
+		select			: 'Maes Dewis',
 		imageButton		: 'Botwm Delwedd',
 		notSet			: '<heb osod>',
@@ -89,9 +93,17 @@
 		ok				: 'Iawn',
 		cancel			: 'Diddymu',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'Cyffredinol',
 		advancedTab		: 'Uwch',
-		validateNumberFailed	: 'Nid yw\'r gwerth hwn yn rhif.',
+		validateNumberFailed : 'Nid yw\'r gwerth hwn yn rhif.',
 		confirmNewPage	: 'Byddwch yn colli unrhyw newidiadau i\'r cynnwys sydd heb eu cadw. A ydych am barhau i lwytho tudalen newydd?',
 		confirmCancel	: 'Mae rhai o\'r opsiynau wedi\'u newid. A ydych wir am gau\'r deialog?',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'Uwch',
 		type		: 'Math y Ddolen',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Dolen at angor yn y testun',
 		toEmail		: 'E-bost',
-		target		: 'Targed',
-		targetNotSet	: '<heb osod>',
-		targetFrame	: '<ffrâm>',
-		targetPopup	: '<ffenestr bop>',
-		targetNew	: 'Ffenestr Newydd (_blank)',
-		targetTop	: 'Ffenestr Dop (_top)',
-		targetSelf	: 'R\'un Ffenestr (_self)',
-		targetParent	: 'Ffenestr y Rhiant (_parent)',
+		targetFrame		: '<ffrâm>',
+		targetPopup		: '<ffenestr bop>',
 		targetFrameName	: 'Enw Ffrâm y Targed',
 		targetPopupName	: 'Enw Ffenestr Bop',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Ailfeintiol',
 		popupStatusBar	: 'Bar Statws',
-		popupLocationBar	: 'Bar Safle',
+		popupLocationBar: 'Bar Safle',
 		popupToolbar	: 'Bar Offer',
 		popupMenuBar	: 'Dewislen',
@@ -144,5 +151,4 @@
 		id				: 'Id',
 		langDir			: 'Cyfeiriad Iaith',
-		langDirNotSet	: '<heb osod>',
 		langDirLTR		: 'Chwith i\'r Dde (LTR)',
 		langDirRTL		: 'Dde i\'r Chwith (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'Maint yr Ymyl',
 		align		: 'Aliniad',
-		alignNotSet	: '<Heb osod>',
 		alignLeft	: 'Chwith',
 		alignCenter	: 'Canol',
@@ -211,4 +216,5 @@
 		widthPx		: 'picsel',
 		widthPc		: 'y cant',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'Uchder',
 		cellSpace	: 'Bylchu\'r gell',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Mae\'n rhaid i rychwant y rhesi fod yn gyfanrif.',
 			invalidColSpan	: 'Mae\'n rhaid i rychwant y colofnau fod yn gyfanrif.',
-			chooseColor : 'Choose'
+			chooseColor		: 'Choose'
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'Gweithred',
 		method		: 'Dull',
-		encoding	: 'Amgodio',
-		target		: 'Targed',
-		targetNotSet	: '<heb osod>',
-		targetNew	: 'Ffenestr Newydd (_blank)',
-		targetTop	: 'Ffenestr Dop (_top)',
-		targetSelf	: 'R\'un Ffenestr (_self)',
-		targetParent	: 'Ffenestr y Rhiant(_parent)'
+		encoding	: 'Amgodio'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'Priodweddau Botwm Delwedd',
 		menu		: 'Priodweddau Delwedd',
-		infoTab	: 'Gwyb Delwedd',
+		infoTab		: 'Gwyb Delwedd',
 		btnUpload	: 'Anfon i\'r Gweinydd',
-		url		: 'URL',
-		upload	: 'lanlwytho',
-		alt		: 'Testun Amgen',
+		upload		: 'lanlwytho',
+		alt			: 'Testun Amgen',
 		width		: 'Lled',
-		height	: 'Uchder',
+		height		: 'Uchder',
 		lockRatio	: 'Cloi Cymhareb',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'Ailosod Maint',
-		border	: 'Ymyl',
-		hSpace	: 'BwlchLl',
-		vSpace	: 'BwlchF',
+		border		: 'Ymyl',
+		hSpace		: 'BwlchLl',
+		vSpace		: 'BwlchF',
 		align		: 'Alinio',
 		alignLeft	: 'Chwith',
 		alignRight	: 'Dde',
-		preview	: 'Rhagolwg',
 		alertUrl	: 'Rhowch URL y ddelwedd',
-		linkTab	: 'Dolen',
+		linkTab		: 'Dolen',
 		button2Img	: 'Ydych am drawsffurfio\'r botwm ddelwedd hwn ar ddelwedd syml?',
 		img2Button	: 'Ydych am drawsffurfio\'r ddelwedd hon ar fotwm delwedd?',
-		urlMissing : 'URL tarddle\'r ddelwedd ar goll.'
+		urlMissing	: 'URL tarddle\'r ddelwedd ar goll.',
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Priodweddau Flash',
 		propertiesTab	: 'Priodweddau',
-		title		: 'Priodweddau Flash',
-		chkPlay		: 'AwtoChwarae',
-		chkLoop		: 'Lwpio',
-		chkMenu		: 'Galluogi Dewislen Flash',
-		chkFull		: 'Caniatàu Sgrin Llawn',
- 		scale		: 'Graddfa',
+		title			: 'Priodweddau Flash',
+		chkPlay			: 'AwtoChwarae',
+		chkLoop			: 'Lwpio',
+		chkMenu			: 'Galluogi Dewislen Flash',
+		chkFull			: 'Caniatàu Sgrin Llawn',
+ 		scale			: 'Graddfa',
 		scaleAll		: 'Dangos pob',
 		scaleNoBorder	: 'Dim Ymyl',
@@ -411,38 +415,38 @@
 		access			: 'Mynediad Sgript',
 		accessAlways	: 'Pob amser',
-		accessSameDomain	: 'R\'un parth',
-		accessNever	: 'Byth',
-		align		: 'Alinio',
-		alignLeft	: 'Chwith',
-		alignAbsBottom: 'Gwaelod Abs',
-		alignAbsMiddle: 'Canol Abs',
+		accessSameDomain: 'R\'un parth',
+		accessNever		: 'Byth',
+		align			: 'Alinio',
+		alignLeft		: 'Chwith',
+		alignAbsBottom	: 'Gwaelod Abs',
+		alignAbsMiddle	: 'Canol Abs',
 		alignBaseline	: 'Baslinell',
-		alignBottom	: 'Gwaelod',
-		alignMiddle	: 'Canol',
-		alignRight	: 'Dde',
+		alignBottom		: 'Gwaelod',
+		alignMiddle		: 'Canol',
+		alignRight		: 'Dde',
 		alignTextTop	: 'Testun Top',
-		alignTop	: 'Top',
-		quality		: 'Ansawdd',
-		qualityBest		 : 'Gorau',
-		qualityHigh		 : 'Uchel',
-		qualityAutoHigh	 : 'Uchel Awto',
-		qualityMedium	 : 'Canolig',
-		qualityAutoLow	 : 'Isel Awto',
-		qualityLow		 : 'Isel',
-		windowModeWindow	 : 'Ffenestr',
-		windowModeOpaque	 : 'Afloyw',
-		windowModeTransparent	 : 'Tryloyw',
-		windowMode	: 'Modd ffenestr',
-		flashvars	: 'Newidynnau ar gyfer Flash',
-		bgcolor	: 'Lliw cefndir',
-		width	: 'Lled',
-		height	: 'Uchder',
-		hSpace	: 'BwlchLl',
-		vSpace	: 'BwlchF',
-		validateSrc : 'Ni all yr URL fod yn wag.',
-		validateWidth : 'Rhaid i\'r Lled fod yn rhif.',
-		validateHeight : 'Rhaid i\'r Uchder fod yn rhif.',
-		validateHSpace : 'Rhaid i\'r BwlchLl fod yn rhif.',
-		validateVSpace : 'Rhaid i\'r BwlchF fod yn rhif.'
+		alignTop		: 'Top',
+		quality			: 'Ansawdd',
+		qualityBest		: 'Gorau',
+		qualityHigh		: 'Uchel',
+		qualityAutoHigh	: 'Uchel Awto',
+		qualityMedium	: 'Canolig',
+		qualityAutoLow	: 'Isel Awto',
+		qualityLow		: 'Isel',
+		windowModeWindow: 'Ffenestr',
+		windowModeOpaque: 'Afloyw',
+		windowModeTransparent : 'Tryloyw',
+		windowMode		: 'Modd ffenestr',
+		flashvars		: 'Newidynnau ar gyfer Flash',
+		bgcolor			: 'Lliw cefndir',
+		width			: 'Lled',
+		height			: 'Uchder',
+		hSpace			: 'BwlchLl',
+		vSpace			: 'BwlchF',
+		validateSrc		: 'Ni all yr URL fod yn wag.',
+		validateWidth	: 'Rhaid i\'r Lled fod yn rhif.',
+		validateHeight	: 'Rhaid i\'r Uchder fod yn rhif.',
+		validateHSpace	: 'Rhaid i\'r BwlchLl fod yn rhif.',
+		validateVSpace	: 'Rhaid i\'r BwlchF fod yn rhif.'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : 'Elfen %1'
 	},
 
-	numberedlist : 'Mewnosod/Tynnu Rhestr Rhifol',
-	bulletedlist : 'Mewnosod/Tynnu Rhestr Bwled',
-	indent : 'Cynyddu\'r Mewnoliad',
-	outdent : 'Lleihau\'r Mewnoliad',
+	numberedlist	: 'Mewnosod/Tynnu Rhestr Rhifol',
+	bulletedlist	: 'Mewnosod/Tynnu Rhestr Bwled',
+	indent			: 'Cynyddu\'r Mewnoliad',
+	outdent			: 'Lleihau\'r Mewnoliad',
 
 	justify :
 	{
-		left : 'Alinio i\'r Chwith',
-		center : 'Alinio i\'r Canol',
-		right : 'Alinio i\'r Dde',
-		block : 'Aliniad Bloc'
+		left	: 'Alinio i\'r Chwith',
+		center	: 'Alinio i\'r Canol',
+		right	: 'Alinio i\'r Dde',
+		block	: 'Aliniad Bloc'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'Nid yw gosodiadau diogelwch eich porwr yn caniatàu\'r golygydd i gynnal \'gweithredoedd copïo\' yn awtomatig. Defnyddiwch y bysellfwrdd (Ctrl+C).',
 		pasteMsg	: 'Gludwch i mewn i\'r blwch canlynol gan ddefnyddio\'r bysellfwrdd (<strong>Ctrl+V</strong>) a phwyso <strong>Iawn</strong>.',
-		securityMsg	: 'Oherwydd gosodiadau diogelwch eich porwr, nid yw\'r porwr yn gallu ennill mynediad i\'r data ar y clipfwrdd yn uniongyrchol. Mae angen i chi ei ludo eto i\'r ffenestr hon.'
+		securityMsg	: 'Oherwydd gosodiadau diogelwch eich porwr, nid yw\'r porwr yn gallu ennill mynediad i\'r data ar y clipfwrdd yn uniongyrchol. Mae angen i chi ei ludo eto i\'r ffenestr hon.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
-		toolbar : 'Gludo o Word',
-		title : 'Gludo o Word',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
+		toolbar			: 'Gludo o Word',
+		title			: 'Gludo o Word',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'Gludo fel testun plaen',
-		title : 'Gludo fel Testun Plaen'
+		button	: 'Gludo fel testun plaen',
+		title	: 'Gludo fel Testun Plaen'
 	},
 
 	templates :
 	{
-		button : 'Templedi',
-		title : 'Templedi Cynnwys',
-		insertOption: 'Amnewid y cynnwys go iawn',
-		selectPromptMsg: 'Dewiswch dempled i\'w agor yn y golygydd',
-		emptyListMsg : '(Dim templedi wedi\'u diffinio)'
+		button			: 'Templedi',
+		title			: 'Templedi Cynnwys',
+		insertOption	: 'Amnewid y cynnwys go iawn',
+		selectPromptMsg	: 'Dewiswch dempled i\'w agor yn y golygydd',
+		emptyListMsg	: '(Dim templedi wedi\'u diffinio)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'Arddulliau',
-		voiceLabel : 'Arddulliau',
-		panelVoiceLabel : 'Dewiswch arddull',
-		panelTitle1 : 'Arddulliau Bloc',
-		panelTitle2 : 'Arddulliau Mewnol',
-		panelTitle3 : 'Arddulliau Gwrthrych'
+		label		: 'Arddulliau',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Arddulliau Bloc',
+		panelTitle2	: 'Arddulliau Mewnol',
+		panelTitle3	: 'Arddulliau Gwrthrych'
 	},
 
 	format :
 	{
-		label : 'Fformat',
-		voiceLabel : 'Fformat',
-		panelTitle : 'Fformat Paragraff',
-		panelVoiceLabel : 'Dewiswch fformat y paragraff',
-
-		tag_p : 'Normal',
-		tag_pre : 'Wedi\'i Fformatio',
-		tag_address : 'Cyfeiriad',
-		tag_h1 : 'Pennawd 1',
-		tag_h2 : 'Pennawd 2',
-		tag_h3 : 'Pennawd 3',
-		tag_h4 : 'Pennawd 4',
-		tag_h5 : 'Pennawd 5',
-		tag_h6 : 'Pennawd 6',
-		tag_div : 'Normal (DIV)'
+		label		: 'Fformat',
+		panelTitle	: 'Fformat Paragraff',
+
+		tag_p		: 'Normal',
+		tag_pre		: 'Wedi\'i Fformatio',
+		tag_address	: 'Cyfeiriad',
+		tag_h1		: 'Pennawd 1',
+		tag_h2		: 'Pennawd 2',
+		tag_h3		: 'Pennawd 3',
+		tag_h4		: 'Pennawd 4',
+		tag_h5		: 'Pennawd 5',
+		tag_h6		: 'Pennawd 6',
+		tag_div		: 'Normal (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'Ffont',
-		voiceLabel : 'Ffont',
-		panelTitle : 'Enw\'r Ffont',
-		panelVoiceLabel : 'Dewiswch ffont'
+		label		: 'Ffont',
+		voiceLabel	: 'Ffont',
+		panelTitle	: 'Enw\'r Ffont'
 	},
 
 	fontSize :
 	{
-		label : 'Maint',
-		voiceLabel : 'Maint y Ffont',
-		panelTitle : 'Maint y Ffont',
-		panelVoiceLabel : 'Dewiswch faint i\'r ffont'
+		label		: 'Maint',
+		voiceLabel	: 'Maint y Ffont',
+		panelTitle	: 'Maint y Ffont'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'Lliw Testun',
-		bgColorTitle : 'Lliw Cefndir',
-		auto : 'Awtomatig',
-		more : 'Mwy o Liwiau...'
+		textColorTitle	: 'Lliw Testun',
+		bgColorTitle	: 'Lliw Cefndir',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'Awtomatig',
+		more			: 'Mwy o Liwiau...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Gwirio\'r Sillafu Wrth Deipio',
-		enable : 'Galluogi SCAYT',
-		disable : 'Analluogi SCAYT',
-		about : 'Ynghylch SCAYT',
-		toggle : 'Togl SCAYT',
-		options : 'Opsiynau',
-		langs : 'Ieithoedd',
-		moreSuggestions : 'Awgrymiadau pellach',
-		ignore : 'Anwybyddu',
-		ignoreAll : 'Anwybyddu pob',
-		addWord : 'Ychwanegu Gair',
-		emptyDic : 'Ni ddylai enw\'r geiriadur fod yn wag.',
-		optionsTab : 'Opsiynau',
-		languagesTab : 'Ieithoedd',
-		dictionariesTab : 'Geiriaduron',
-		aboutTab : 'Ynghylch'
+		title			: 'Gwirio\'r Sillafu Wrth Deipio',
+		enable			: 'Galluogi SCAYT',
+		disable			: 'Analluogi SCAYT',
+		about			: 'Ynghylch SCAYT',
+		toggle			: 'Togl SCAYT',
+		options			: 'Opsiynau',
+		langs			: 'Ieithoedd',
+		moreSuggestions	: 'Awgrymiadau pellach',
+		ignore			: 'Anwybyddu',
+		ignoreAll		: 'Anwybyddu pob',
+		addWord			: 'Ychwanegu Gair',
+		emptyDic		: 'Ni ddylai enw\'r geiriadur fod yn wag.',
+		optionsTab		: 'Opsiynau',
+		languagesTab	: 'Ieithoedd',
+		dictionariesTab	: 'Geiriaduron',
+		aboutTab		: 'Ynghylch'
 	},
 
 	about :
 	{
-		title : 'Ynghylch CKEditor',
-		dlgTitle : 'Ynghylch CKEditor',
-		moreInfo : 'Am wybodaeth ynghylch trwyddedau, ewch i\'n gwefan:',
-		copy : 'Hawlfraint &copy; $1. Cedwir pob hawl.'
+		title		: 'Ynghylch CKEditor',
+		dlgTitle	: 'Ynghylch CKEditor',
+		moreInfo	: 'Am wybodaeth ynghylch trwyddedau, ewch i\'n gwefan:',
+		copy		: 'Hawlfraint &copy; $1. Cedwir pob hawl.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Angor',
-		flash : 'Animeiddiant Flash',
-		div : 'Toriad Tudalen',
-		unknown : 'Gwrthrych Anhysbys'
+		anchor	: 'Angor',
+		flash	: 'Animeiddiant Flash',
+		div		: 'Toriad Tudalen',
+		unknown	: 'Gwrthrych Anhysbys'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Dewis lliw',
-		highlight : 'Uwcholeuo',
-		selected : 'Dewiswyd',
-		clear : 'Clirio'
-	},
-
-	toolbarCollapse : 'Cyfangu\'r Bar Offer',
-	toolbarExpand : 'Ehangu\'r Bar Offer'
+		title		: 'Dewis lliw',
+		highlight	: 'Uwcholeuo',
+		selected	: 'Dewiswyd',
+		clear		: 'Clirio'
+	},
+
+	toolbarCollapse	: 'Cyfangu\'r Bar Offer',
+	toolbarExpand	: 'Ehangu\'r Bar Offer'
 };
Index: CKEditor/trunk/_source/lang/da.js
===================================================================
--- CKEditor/trunk/_source/lang/da.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/da.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Editor, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'Indsæt formular',
 		checkbox		: 'Indsæt afkrydsningsfelt',
-		radio		: 'Indsæt alternativknap',
+		radio			: 'Indsæt alternativknap',
 		textField		: 'Indsæt tekstfelt',
 		textarea		: 'Indsæt tekstboks',
 		hiddenField		: 'Indsæt skjult felt',
 		button			: 'Indsæt knap',
-		select	: 'Indsæt liste',
+		select			: 'Indsæt liste',
 		imageButton		: 'Indsæt billedknap',
 		notSet			: '<intet valgt>',
@@ -89,9 +93,17 @@
 		ok				: 'OK',
 		cancel			: 'Annullér',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'Generelt',
 		advancedTab		: 'Avanceret',
-		validateNumberFailed	: 'Værdien er ikke et tal.',
+		validateNumberFailed : 'Værdien er ikke et tal.',
 		confirmNewPage	: 'Alt indhold, der ikke er blevet gemt, vil gå tabt. Er du sikker på, at du vil indlæse en ny side?',
 		confirmCancel	: 'Nogle af indstillingerne er blevet ændret. Er du sikker på, at du vil lukke vinduet?',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'Avanceret',
 		type		: 'Type',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Bogmærke på denne side',
 		toEmail		: 'E-mail',
-		target		: 'Mål',
-		targetNotSet	: '<intet valgt>',
-		targetFrame	: '<ramme>',
-		targetPopup	: '<popup vindue>',
-		targetNew	: 'Nyt vindue (_blank)',
-		targetTop	: 'Hele vinduet (_top)',
-		targetSelf	: 'Samme vindue/ramme (_self)',
-		targetParent	: 'Overordnet vindue/ramme (_parent)',
+		targetFrame		: '<ramme>',
+		targetPopup		: '<popup vindue>',
 		targetFrameName	: 'Destinationsvinduets navn',
 		targetPopupName	: 'Popup vinduets navn',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Justérbar',
 		popupStatusBar	: 'Statuslinje',
-		popupLocationBar	: 'Adresselinje',
+		popupLocationBar: 'Adresselinje',
 		popupToolbar	: 'Værktøjslinje',
 		popupMenuBar	: 'Menulinje',
@@ -144,5 +151,4 @@
 		id				: 'Id',
 		langDir			: 'Tekstretning',
-		langDirNotSet	: '<intet valgt>',
 		langDirLTR		: 'Fra venstre mod højre (LTR)',
 		langDirRTL		: 'Fra højre mod venstre (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'Rammebredde',
 		align		: 'Justering',
-		alignNotSet	: '<intet valgt>',
 		alignLeft	: 'Venstrestillet',
 		alignCenter	: 'Centreret',
@@ -211,4 +216,5 @@
 		widthPx		: 'pixels',
 		widthPc		: 'procent',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'Højde',
 		cellSpace	: 'Celleafstand',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Række span skal være et heltal.',
 			invalidColSpan	: 'Kolonne span skal være et heltal.',
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'Handling',
 		method		: 'Metode',
-		encoding	: 'Kodning (encoding)',
-		target		: 'Mål',
-		targetNotSet	: '<intet valgt>',
-		targetNew	: 'Nyt vindue (_blank)',
-		targetTop	: 'Hele vinduet (_top)',
-		targetSelf	: 'Samme vindue/ramme (_self)',
-		targetParent	: 'Overordnet vindue/ramme (_parent)'
+		encoding	: 'Kodning (encoding)'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'Egenskaber for billedknap',
 		menu		: 'Egenskaber for billede',
-		infoTab	: 'Generelt',
+		infoTab		: 'Generelt',
 		btnUpload	: 'Upload',
-		url		: 'URL',
-		upload	: 'Upload',
-		alt		: 'Alternativ tekst',
+		upload		: 'Upload',
+		alt			: 'Alternativ tekst',
 		width		: 'Bredde',
-		height	: 'Højde',
+		height		: 'Højde',
 		lockRatio	: 'Lås størrelsesforhold',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'Nulstil størrelse',
-		border	: 'Ramme',
-		hSpace	: 'Vandret margen',
-		vSpace	: 'Lodret margen',
+		border		: 'Ramme',
+		hSpace		: 'Vandret margen',
+		vSpace		: 'Lodret margen',
 		align		: 'Justering',
 		alignLeft	: 'Venstre',
 		alignRight	: 'Højre',
-		preview	: 'Vis eksempel',
 		alertUrl	: 'Indtast stien til billedet',
-		linkTab	: 'Hyperlink',
+		linkTab		: 'Hyperlink',
 		button2Img	: 'Vil du lave billedknappen om til et almindeligt billede?',
 		img2Button	: 'Vil du lave billedet om til en billedknap?',
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Egenskaber for Flash',
 		propertiesTab	: 'Egenskaber',
-		title		: 'Egenskaber for Flash',
-		chkPlay		: 'Automatisk afspilning',
-		chkLoop		: 'Gentagelse',
-		chkMenu		: 'Vis Flash menu',
-		chkFull		: 'Tillad fuldskærm',
- 		scale		: 'Skalér',
+		title			: 'Egenskaber for Flash',
+		chkPlay			: 'Automatisk afspilning',
+		chkLoop			: 'Gentagelse',
+		chkMenu			: 'Vis Flash menu',
+		chkFull			: 'Tillad fuldskærm',
+ 		scale			: 'Skalér',
 		scaleAll		: 'Vis alt',
 		scaleNoBorder	: 'Ingen ramme',
@@ -411,38 +415,38 @@
 		access			: 'Script adgang',
 		accessAlways	: 'Altid',
-		accessSameDomain	: 'Samme domæne',
-		accessNever	: 'Aldrig',
-		align		: 'Justering',
-		alignLeft	: 'Venstre',
-		alignAbsBottom: 'Absolut nederst',
-		alignAbsMiddle: 'Absolut centreret',
+		accessSameDomain: 'Samme domæne',
+		accessNever		: 'Aldrig',
+		align			: 'Justering',
+		alignLeft		: 'Venstre',
+		alignAbsBottom	: 'Absolut nederst',
+		alignAbsMiddle	: 'Absolut centreret',
 		alignBaseline	: 'Grundlinje',
-		alignBottom	: 'Nederst',
-		alignMiddle	: 'Centreret',
-		alignRight	: 'Højre',
+		alignBottom		: 'Nederst',
+		alignMiddle		: 'Centreret',
+		alignRight		: 'Højre',
 		alignTextTop	: 'Toppen af teksten',
-		alignTop	: 'Øverst',
-		quality		: 'Kvalitet',
-		qualityBest		 : 'Bedste',
-		qualityHigh		 : 'Høj',
-		qualityAutoHigh	 : 'Auto høj',
-		qualityMedium	 : 'Medium',
-		qualityAutoLow	 : 'Auto lav',
-		qualityLow		 : 'Lav',
-		windowModeWindow	 : 'Vindue',
-		windowModeOpaque	 : 'Gennemsigtig (opaque)',
-		windowModeTransparent	 : 'Transparent',
-		windowMode	: 'Vinduestilstand',
-		flashvars	: 'Variabler for Flash',
-		bgcolor	: 'Baggrundsfarve',
-		width	: 'Bredde',
-		height	: 'Højde',
-		hSpace	: 'Vandret margen',
-		vSpace	: 'Lodret margen',
-		validateSrc : 'Indtast hyperlink URL!',
-		validateWidth : 'Bredde skal være et tal.',
-		validateHeight : 'Højde skal være et tal.',
-		validateHSpace : 'Vandret margen skal være et tal.',
-		validateVSpace : 'Lodret margen skal være et tal.'
+		alignTop		: 'Øverst',
+		quality			: 'Kvalitet',
+		qualityBest		: 'Bedste',
+		qualityHigh		: 'Høj',
+		qualityAutoHigh	: 'Auto høj',
+		qualityMedium	: 'Medium',
+		qualityAutoLow	: 'Auto lav',
+		qualityLow		: 'Lav',
+		windowModeWindow: 'Vindue',
+		windowModeOpaque: 'Gennemsigtig (opaque)',
+		windowModeTransparent : 'Transparent',
+		windowMode		: 'Vinduestilstand',
+		flashvars		: 'Variabler for Flash',
+		bgcolor			: 'Baggrundsfarve',
+		width			: 'Bredde',
+		height			: 'Højde',
+		hSpace			: 'Vandret margen',
+		vSpace			: 'Lodret margen',
+		validateSrc		: 'Indtast hyperlink URL!',
+		validateWidth	: 'Bredde skal være et tal.',
+		validateHeight	: 'Højde skal være et tal.',
+		validateHSpace	: 'Vandret margen skal være et tal.',
+		validateVSpace	: 'Lodret margen skal være et tal.'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 element'
 	},
 
-	numberedlist : 'Talopstilling',
-	bulletedlist : 'Punktopstilling',
-	indent : 'Forøg indrykning',
-	outdent : 'Formindsk indrykning',
+	numberedlist	: 'Talopstilling',
+	bulletedlist	: 'Punktopstilling',
+	indent			: 'Forøg indrykning',
+	outdent			: 'Formindsk indrykning',
 
 	justify :
 	{
-		left : 'Venstrestillet',
-		center : 'Centreret',
-		right : 'Højrestillet',
-		block : 'Lige margener'
+		left	: 'Venstrestillet',
+		center	: 'Centreret',
+		right	: 'Højrestillet',
+		block	: 'Lige margener'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'Din browsers sikkerhedsindstillinger tillader ikke editoren at få automatisk adgang til udklipsholderen.<br><br>Brug i stedet tastaturet til at kopiere teksten (Ctrl+C).',
 		pasteMsg	: 'Indsæt i feltet herunder (<STRONG>Ctrl+V</STRONG>) og klik på <STRONG>OK</STRONG>.',
-		securityMsg	: 'Din browsers sikkerhedsindstillinger tillader ikke editoren at få automatisk adgang til udklipsholderen.<br><br>Du skal indsætte udklipsholderens indhold i dette vindue igen.'
+		securityMsg	: 'Din browsers sikkerhedsindstillinger tillader ikke editoren at få automatisk adgang til udklipsholderen.<br><br>Du skal indsætte udklipsholderens indhold i dette vindue igen.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'Den tekst du forsøger at indsætte ser ud til at komme fra Word. Vil du rense teksten før den indsættes?',
-		toolbar : 'Indsæt fra Word',
-		title : 'Indsæt fra Word',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'Den tekst du forsøger at indsætte ser ud til at komme fra Word. Vil du rense teksten før den indsættes?',
+		toolbar			: 'Indsæt fra Word',
+		title			: 'Indsæt fra Word',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'Indsæt som ikke-formateret tekst',
-		title : 'Indsæt som ikke-formateret tekst'
+		button	: 'Indsæt som ikke-formateret tekst',
+		title	: 'Indsæt som ikke-formateret tekst'
 	},
 
 	templates :
 	{
-		button : 'Skabeloner',
-		title : 'Indholdsskabeloner',
-		insertOption: 'Erstat det faktiske indhold',
-		selectPromptMsg: 'Vælg den skabelon, som skal åbnes i editoren (nuværende indhold vil blive overskrevet):',
-		emptyListMsg : '(Der er ikke defineret nogen skabelon)'
+		button			: 'Skabeloner',
+		title			: 'Indholdsskabeloner',
+		insertOption	: 'Erstat det faktiske indhold',
+		selectPromptMsg	: 'Vælg den skabelon, som skal åbnes i editoren (nuværende indhold vil blive overskrevet):',
+		emptyListMsg	: '(Der er ikke defineret nogen skabelon)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'Typografi',
-		voiceLabel : 'Typografi',
-		panelVoiceLabel : 'Vælg typografi',
-		panelTitle1 : 'Block typografi',
-		panelTitle2 : 'Inline typografi',
-		panelTitle3 : 'Object typografi'
+		label		: 'Typografi',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Block typografi',
+		panelTitle2	: 'Inline typografi',
+		panelTitle3	: 'Object typografi'
 	},
 
 	format :
 	{
-		label : 'Formatering',
-		voiceLabel : 'Formatering',
-		panelTitle : 'Formatering',
-		panelVoiceLabel : 'Vælg afsnitsformatering',
-
-		tag_p : 'Normal',
-		tag_pre : 'Formateret',
-		tag_address : 'Adresse',
-		tag_h1 : 'Overskrift 1',
-		tag_h2 : 'Overskrift 2',
-		tag_h3 : 'Overskrift 3',
-		tag_h4 : 'Overskrift 4',
-		tag_h5 : 'Overskrift 5',
-		tag_h6 : 'Overskrift 6',
-		tag_div : 'Normal (DIV)'
+		label		: 'Formatering',
+		panelTitle	: 'Formatering',
+
+		tag_p		: 'Normal',
+		tag_pre		: 'Formateret',
+		tag_address	: 'Adresse',
+		tag_h1		: 'Overskrift 1',
+		tag_h2		: 'Overskrift 2',
+		tag_h3		: 'Overskrift 3',
+		tag_h4		: 'Overskrift 4',
+		tag_h5		: 'Overskrift 5',
+		tag_h6		: 'Overskrift 6',
+		tag_div		: 'Normal (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'Skrifttype',
-		voiceLabel : 'Skrifttype',
-		panelTitle : 'Skrifttype',
-		panelVoiceLabel : 'Vælg skrifttype'
+		label		: 'Skrifttype',
+		voiceLabel	: 'Skrifttype',
+		panelTitle	: 'Skrifttype'
 	},
 
 	fontSize :
 	{
-		label : 'Skriftstørrelse',
-		voiceLabel : 'Skriftstørrelse',
-		panelTitle : 'Skriftstørrelse',
-		panelVoiceLabel : 'Vælg skriftstørrelse'
+		label		: 'Skriftstørrelse',
+		voiceLabel	: 'Skriftstørrelse',
+		panelTitle	: 'Skriftstørrelse'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'Tekstfarve',
-		bgColorTitle : 'Baggrundsfarve',
-		auto : 'Automatisk',
-		more : 'Flere farver...'
+		textColorTitle	: 'Tekstfarve',
+		bgColorTitle	: 'Baggrundsfarve',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'Automatisk',
+		more			: 'Flere farver...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Stavekontrol mens du skriver',
-		enable : 'Aktivér SCAYT',
-		disable : 'Deaktivér SCAYT',
-		about : 'Om SCAYT',
-		toggle : 'Skift/toggle SCAYT',
-		options : 'Indstillinger',
-		langs : 'Sprog',
-		moreSuggestions : 'Flere forslag',
-		ignore : 'Ignorér',
-		ignoreAll : 'Ignorér alle',
-		addWord : 'Tilføj ord',
-		emptyDic : 'Ordbogsnavn må ikke være tom.',
-		optionsTab : 'Indstillinger',
-		languagesTab : 'Sprog',
-		dictionariesTab : 'Ordbøger',
-		aboutTab : 'Om'
+		title			: 'Stavekontrol mens du skriver',
+		enable			: 'Aktivér SCAYT',
+		disable			: 'Deaktivér SCAYT',
+		about			: 'Om SCAYT',
+		toggle			: 'Skift/toggle SCAYT',
+		options			: 'Indstillinger',
+		langs			: 'Sprog',
+		moreSuggestions	: 'Flere forslag',
+		ignore			: 'Ignorér',
+		ignoreAll		: 'Ignorér alle',
+		addWord			: 'Tilføj ord',
+		emptyDic		: 'Ordbogsnavn må ikke være tom.',
+		optionsTab		: 'Indstillinger',
+		languagesTab	: 'Sprog',
+		dictionariesTab	: 'Ordbøger',
+		aboutTab		: 'Om'
 	},
 
 	about :
 	{
-		title : 'Om CKEditor',
-		dlgTitle : 'Om CKEditor',
-		moreInfo : 'For informationer omkring licens, se venligst vores hjemmeside (på engelsk):',
-		copy : 'Copyright &copy; $1. Alle rettigheder forbeholdes.'
+		title		: 'Om CKEditor',
+		dlgTitle	: 'Om CKEditor',
+		moreInfo	: 'For informationer omkring licens, se venligst vores hjemmeside (på engelsk):',
+		copy		: 'Copyright &copy; $1. Alle rettigheder forbeholdes.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Anker',
-		flash : 'Flashanimation',
-		div : 'Sideskift',
-		unknown : 'Ukendt objekt'
+		anchor	: 'Anker',
+		flash	: 'Flashanimation',
+		div		: 'Sideskift',
+		unknown	: 'Ukendt objekt'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
